Get project canvas
GET
/projects/{projectId}/canvas
import { FloraClient } from '@flora-ai/flora';
const client = new FloraClient({ apiKey: process.env['FLORA_API_KEY'] });
const canva = await client.projects.canvas.retrieve({ projectId: '<projectId>',});console.log(canva);curl -X GET 'https://app.flora.ai/api/v1/projects/<projectId>/canvas' \ -H 'Authorization: Bearer $FLORA_API_KEY'Returns the current project canvas topology as a Mermaid flowchart using the same serializer as the Fauna agent.
Error responses use the standard error body.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
Project identifier
string
Project identifier
Responses
Section titled “ Responses ”Project canvas returned.
Media type application/json
object
project_id
required
Project identifier
string
canvas_url
required
Project canvas URL
string format: uri
diagram
required
Mermaid flowchart diagram
string
summary
required
object
node_count
required
integer
edge_count
required
integer
workflow_count
required
integer
isolated_node_count
required
integer
group_count
required
integer
Example
{ "project_id": "prj_abc123", "diagram": "graph LR\n n1[\"Prompt (text)\"]\n n2[\"Result (image)\"]\n n1 -->|text| n2"}